Debian Bug report logs - #505675
aptitude: i18n errors

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: helix84@centrum.sk

Date: Fri, 14 Nov 2008 10:48:01 UTC

Severity: wishlist

Found in version 0.5.0

Fixed in version aptitude/0.5.1-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#505675; Package aptitude. (Fri, 14 Nov 2008 10:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to helix84@centrum.sk:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 14 Nov 2008 10:48:36 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: helix84 <helix84@centrum.sk>
To: submit@bugs.debian.org
Subject: aptitude: i18n errors
Date: Fri, 14 Nov 2008 11:44:43 +0100
Package: aptitude
Version: 0.5.0
Priority: wishlist

a typo:

#: src/gtk/gui.cc:88
msgid "Hold (don't uprgade)"


following gtk messages use ngettext() incorrectly (in a way that
produces two messages instead of plural):

#: src/gtk/gui.cc:455
#, fuzzy, c-format
#| msgid "No packages are broken."
msgid "%d package is broken"

#: src/gtk/gui.cc:542
#, fuzzy, c-format
#| msgid "%d install"
#| msgid_plural "%d installs"
msgid "%d package to install"

#: src/gtk/gui.cc:557
#, fuzzy, c-format
#| msgid "failed to remove %s"
msgid "%d package to remove"


Regards,
~~helix84




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#505675; Package aptitude. (Tue, 25 Nov 2008 14:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Tue, 25 Nov 2008 14:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 505675@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: helix84@centrum.sk, 505675@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#505675: aptitude: i18n errors
Date: Tue, 25 Nov 2008 14:55:47 +0100
tags 505675 + pending
thanks

On Fri, Nov 14, 2008 at 11:44:43AM +0100, helix84 wrote:
> Package: aptitude
> Version: 0.5.0
> Priority: wishlist
> 
> a typo:
> 
> #: src/gtk/gui.cc:88
> msgid "Hold (don't uprgade)"

"uprgade" occurs also in ChangeLog.SVN where I didn't fix it. Or would this be
acceptable?
 
> following gtk messages use ngettext() incorrectly (in a way that
> produces two messages instead of plural):
> 
> #: src/gtk/gui.cc:455
> #, fuzzy, c-format
> #| msgid "No packages are broken."
> msgid "%d package is broken"

Right.
ngettext(_("%d package is broken"), _("%d packages are broken."), broken_count)
was used instead of
ngettext("%d package is broken", "%d packages are broken.", broken_count)

Thanks, I fixed it.

Jens




Tags added: pending Request was from Jens Seidel <jensseidel@users.sf.net> to control@bugs.debian.org. (Tue, 25 Nov 2008 14:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#505675; Package aptitude. (Tue, 25 Nov 2008 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to helix84@centrum.sk:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Tue, 25 Nov 2008 14:12:04 GMT) Full text and rfc822 format available.

Message #17 received at 505675@bugs.debian.org (full text, mbox):

From: helix84 <helix84@centrum.sk>
To: 505675@bugs.debian.org
Subject: Re: Bug#505675: aptitude: i18n errors
Date: Tue, 25 Nov 2008 15:11:06 +0100
> "uprgade" occurs also in ChangeLog.SVN where I didn't fix it. Or would this be
> acceptable?

Uh, I don't really know about reasons to fix it/not fix it. I'll leave
it up to you.

> Right.
> ngettext(_("%d package is broken"), _("%d packages are broken."), broken_count)
> was used instead of
> ngettext("%d package is broken", "%d packages are broken.", broken_count)
>
> Thanks, I fixed it.

Thanks.

Regards,
~~helix84




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. (Sat, 24 Jan 2009 16:12:04 GMT) Full text and rfc822 format available.

Notification sent to helix84@centrum.sk:
Bug acknowledged by developer. (Sat, 24 Jan 2009 16:12:05 GMT) Full text and rfc822 format available.

Message #22 received at 505675-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 505675-close@bugs.debian.org
Subject: Bug#505675: fixed in aptitude 0.5.1-1
Date: Sat, 24 Jan 2009 15:48:32 +0000
Source: aptitude
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.5.1-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.5.1-1_i386.deb
aptitude-doc-cs_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.5.1-1_all.deb
aptitude-doc-en_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.5.1-1_all.deb
aptitude-doc-fi_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.5.1-1_all.deb
aptitude-doc-fr_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.5.1-1_all.deb
aptitude-doc-ja_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.5.1-1_all.deb
aptitude-gtk_0.5.1-1_i386.deb
  to pool/main/a/aptitude/aptitude-gtk_0.5.1-1_i386.deb
aptitude_0.5.1-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.5.1-1.diff.gz
aptitude_0.5.1-1.dsc
  to pool/main/a/aptitude/aptitude_0.5.1-1.dsc
aptitude_0.5.1-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.5.1-1_i386.deb
aptitude_0.5.1.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.5.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505675@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Jan 2009 17:22:10 -0800
Source: aptitude
Binary: aptitude aptitude-gtk aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source i386 all
Version: 0.5.1-1
Distribution: experimental
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager (terminal interface only)
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
 aptitude-gtk - terminal-based package manager (terminal interface only)
Closes: 505467 505675 505676 506651 508536 511559 511725
Changes: 
 aptitude (0.5.1-1) experimental; urgency=low
 .
   * New upstream release.
 .
     - Incremental search should work again in the curses UI.
       (Closes: #506651)
 .
     - Gives more feedback when dpkg finishes. (Closes: #508536)
 .
     - GTK+ interface split out into the package aptitude-gtk, sorry
       ftpmasters. (Closes: #511725, #505467)
 .
     - Fix fortify problems in minesweeper. (Closes: #511559)
 .
     - Fix several translations of plurals (Closes: #505675)
 .
     - Translation updates:
       + Slovak (Closes: #505676)
Checksums-Sha1: 
 94fd04b61821a01fe96b3bbd96c8eae6f47ce63e 1442 aptitude_0.5.1-1.dsc
 e2f25aab3824467008d66d75e644f4c98754d2dd 6722398 aptitude_0.5.1.orig.tar.gz
 3cc469b1a1343f2e959137bab191fb99c8800d0c 41654 aptitude_0.5.1-1.diff.gz
 d45073b6a7473afa68ff616f96ed5a83f15f1462 3125648 aptitude_0.5.1-1_i386.deb
 3cea7bb021aecd18094a4f21670b1c605f6fd67c 1251524 aptitude-gtk_0.5.1-1_i386.deb
 ac8b5c62f9f286901f831a2a01caf4d3a8e6d33b 14733638 aptitude-dbg_0.5.1-1_i386.deb
 7c90e9c7d970ef83f4fa1502a9c4bb6b6665801d 379488 aptitude-doc-cs_0.5.1-1_all.deb
 71e3b8ec048eb8399975d06a434622c4ee50aaf1 371822 aptitude-doc-en_0.5.1-1_all.deb
 206c48ff927942243c843d791f477963d4196acb 271782 aptitude-doc-fi_0.5.1-1_all.deb
 eae1a738d4006053cc53ab0bbc1d5e62f9cdf77b 317974 aptitude-doc-fr_0.5.1-1_all.deb
 fb15f150b8553dc557620d06c2127a55b9a32819 382194 aptitude-doc-ja_0.5.1-1_all.deb
Checksums-Sha256: 
 b4a9b47079fdf6024e681e7c4efd55ee93d7bc96b90fc175df25629e1eafaa56 1442 aptitude_0.5.1-1.dsc
 c4508ab9ef07807d9f9c6fd6348eb1f3973e9cc93ee284f6b8e452cb5c755ebc 6722398 aptitude_0.5.1.orig.tar.gz
 8b7a212a9e6e11d588dad4c964ae004663df072dfb8f7675a53ace53eaeddb29 41654 aptitude_0.5.1-1.diff.gz
 eab5b13af4b0861e1c2d6da3b311633e01ee6e9be5ce8e4d08838769e62de1ae 3125648 aptitude_0.5.1-1_i386.deb
 4ca3f7a9768ce1ab227edfd91071ff1b5e1aadc0146001d5b8b233720af29879 1251524 aptitude-gtk_0.5.1-1_i386.deb
 b317c3950546fddffaafac4966e9109d9e7b03ac886bdfdf42d7c2eb054483e0 14733638 aptitude-dbg_0.5.1-1_i386.deb
 266a014fc58a6b3874488525e599e43a6ab31276f7d2597e81466437cb3c0644 379488 aptitude-doc-cs_0.5.1-1_all.deb
 50194b93feeba1520670dc9c4a58a80625826ecf9bb44a56e109bb7773f02d72 371822 aptitude-doc-en_0.5.1-1_all.deb
 c2370531f44de27ae179ad828b640275d4cbb78235129b5718d4d2442ac9e136 271782 aptitude-doc-fi_0.5.1-1_all.deb
 330f65a207c37f9247b825bab40790d0089b6ad3117e19350bc599221d2dec34 317974 aptitude-doc-fr_0.5.1-1_all.deb
 24aaf447a8f74b69f0906068ea15a76ca25bf1d450e077daef7254607e04de94 382194 aptitude-doc-ja_0.5.1-1_all.deb
Files: 
 2b2a505c038533a0bb20e5e013cfa279 1442 admin - aptitude_0.5.1-1.dsc
 33ee244bdf41649338369b0724e023ba 6722398 admin - aptitude_0.5.1.orig.tar.gz
 f01a897170ad93b5c0b55e6844e58e5d 41654 admin - aptitude_0.5.1-1.diff.gz
 3faf27ec95aae3e849c4d4a7cc576c7d 3125648 admin important aptitude_0.5.1-1_i386.deb
 310492cd180e8ae4cbeb3d00a48d6780 1251524 admin important aptitude-gtk_0.5.1-1_i386.deb
 1db8242e3bb52c8947e419be1033b9c6 14733638 devel extra aptitude-dbg_0.5.1-1_i386.deb
 8d0236039f34d02c0d1e2570ff059731 379488 doc optional aptitude-doc-cs_0.5.1-1_all.deb
 881ede98cc200d456ed930a0e2a0d043 371822 doc optional aptitude-doc-en_0.5.1-1_all.deb
 f37270dab3e765ecbcc1b2e6d72788bb 271782 doc optional aptitude-doc-fi_0.5.1-1_all.deb
 cfddcbc78ff105cf188858efd2cf224a 317974 doc optional aptitude-doc-fr_0.5.1-1_all.deb
 9301891f3fe40df04416c389a3820811 382194 doc optional aptitude-doc-ja_0.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl0MiQACgkQch6xsM7kSXh/kgCgpYfMnSLHjr8WQ3lBzyQmT+Js
9yMAn2ckWINq6WmJgNhbazefx1QpJBZt
=Bh66
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Feb 2009 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:06:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.